#!/usr/bin/env python3
#-*- encoding=utf8 -*-

texte={
## Tierische Zelle
'tierische_zelle':'''
Tiere ernähren sich heterotroph, sie müssen also Nährstoffe aus der Umgebung aufnehmen. Normalerweise besitzen sie daher \n(1) Sinnesorgane und Nervensystem, \n(2) Skelett und Muskulatur sowie \n(3) ein Verdauungssystem. \nGrößere Tiere besitzen darüber hinaus meist \n(4) ein Blutkreislaufsystem für den Nährstoff- und den Sauerstofftransport.\n\nAuf zellulärer Ebene sind insbesondere für die Fortbewegung eine fehlende Zellwand sowie Motorproteine notwendig.\nDie Mitochondrien ermöglichen die Zellatmung.\n\nIm Unterschied zur prokaryotischen Bakterienzelle sind ein echter Zellkern mit einer Kernhülle, sowie viel komplexere Membraneinfaltungen vorhanden.
''',
'tierische_zelle_zellmembran':'''
Die Zellmembran grenzt das Zellplasma nach außen von der extrazellulären Flüssigkeit ab. \nSie besteht aus einer Lipid-Doppelschicht, in die bestimmte Membranproteine eingebaut oder angelagert sind. Diese Membranproteine dienen \n(1) dem passiven oder aktiven Transport, auch im Rahmen von elektrochemischen Vorgängen\n(2) der Zellerkennung (vgl. Immunsystem) und Zellverbindung, dafür sind meist angehängte Kohlenhydratseitenketten zuständig und \n(3) der chemischen Kommunikation an Synapsen oder im Hormonsystem.\n(4) der Verbindung mit dem Zellskelett (z.B. zur Endozytose oder für eine amöboide Fortbewegung).
''',
'tierische_zelle_vesikel':'''
Vesikel sind (meist kleine) durch Membranen abgeschlossene Bereiche in der Zelle.\nSie können im Rahmen des Stofftransports in der Zelle durch Abschnürung vom ER oder vom Golgi-Apparat, oder durch Endocytose entstehen. \nSie können z.B. \n(1) als Speicherort für Verdauungsenzyme (z.B. in Lysosomen in tierischen Zellen) dienen, die dann nach dem Zelltod die Selbstverdauung einleiten oder \n(2) als Speicherort für Entgiftungsenzyme (z.B. Peroxisomen) dienen, die Wasserstoffperoxid entgiften.
''',
'tierische_zelle_golgi_apparat':'''
Der Golgi-Apparat besteht aus mehreren flachen Membranstapeln (Dictyosomen). Die im ER synthetisierten, für die Exocytose bestimmten Stoffe werden hier in Vesikel verpackt, evtl. chemisch verändert und die Vesikel werden abgeschnürt.
''',
'tierische_zelle_er':'''
An den Ribosomen des rauen ER werden Proteine hergestellt, die für eine spätere Exocytose an den Golgi-Apparat weitergeleitet werden.\nAm glatten ER werden v.a. Membranlipide hergestellt.\nDas ER steht in direkter Verbindung mit der Kernhülle.
''',
'tierische_zelle_freie_ribosomen':'''
An den Ribosomen findet der Teilschritt der Translation der Proteinbiosynthese statt. Dabei wird die mRNA-Sqeuenz nach einem festgelegten Code "übersetzt" in eine Aminosäuresequenz.
''',
'tierische_zelle_zellskelett':'''
Mikrotubuli ermöglichen als Führungsfäden für Vesikel den Stofftransport in der Zelle.\nAußerdem bilden sie den Spindelapparat während Mitose und Meiose.\nDer Aufbau des Spindelapparats beginnt mit den beiden "Centriolen".
Mikrofilamente bestehen aus ineinandergreifenden Aktin- und Myosinfilamenten. Sie bilden die Grundlage der Muskelkontraktion.
''',
'tierische_zelle_kernhuelle':'''
Eukaryoten besitzen eine Kernhülle. Diese besteht aus einer doppelten Membran. Die im Teilschritt der Transkription der Proteinbiosynthese gebildete mRNA verlässt den Zellkern durch die Kernporen.
''',
'tierische_zelle_chromosomen':'''
Die Erbinformation liegt in Form mehrerer bis vieler langer DNA-Fäden vor, die sich je nach Phase im Zellzyklus in ihrer weniger spiralisierten Arbeitsform oder (während der Zellteilung) in ihrer stark spiralisierten und sehr kompakten Transportform befinden. Diese "Transportpakete" nennt man Chromosomen. In ihrer Transportform besitzt jedes Chromosom einen "Griff" für den Spindelapparat, das Centromer. Eine Körperzelle des Menschen besitzt insgesamt 46 Chromosomen, eine Taube sogar 80, eine Taufliege nur 8 Chromosomen.
''',
'tierische_zelle_zellplasma':'''
Das Zellplasma (= Cytosol) ist eine gelartige wässrige Lösung von Ionen, kleinen Molekülen und löslichen Proteinen. Alle anderen Organellen sind ins Zellplasma eingelagert. \nDie Ionenverteilung zwischen Zellplasma und extrazellulärer Flüssigkeit wird für elektrochemische Vorgänge an Nervenzellen genutzt.\nIm Zellplasma findet die Glykolyse statt, welche sowohl bei Gärungen als auch im Rahmen der Zellatmung abläuft.\nIm Zellplasma findet an die Ribosomen (frei oder an das raue ER gebunden) die Translation ab.\nStreng genommen handelt es sich also beim Zellplasma selbst nicht um ein "Organell".
''',
'tierische_zelle_mitochondrien':'''
Die äußere Mitochondrienmembran entspricht in ihrem Aufbau der Zellmembran. Die innere, stark aufgefaltete Mitochondrienmembran entspricht in ihrem Aufbau eher einer Bakterienzellmembran. Zwischen beiden Membranen liegt ein Intermembranraum, der stärker sauer als das Zellplasma ist. Das von der inneren Mitochondrienmembran umschlossene "Bakterienzellplasma" bezeichnet man als Matrix. In der Matrix befindet sich ein ringförmiges DNA-Plasmid wie in einer Bakterienzelle.\nIn der Matrix läuft der Citratzyklus der Zellatmung und an der inneren Mitochondrienmembran die Endoxidation der Zellatmung ab.\nDie Zellatmung ist also nur möglich aufgrund der Mitochondrien.\nMitochondrien sind Endosymbionten, die schon früh in die ersten Eukaryoten aufgenommen wurden.
''',
'tierische_zelle_zellaeusseres':'''
In der Zelle weichen die folgenden Bereiche in ihrer Zusammensetzung stark vom Zellplasma ab. Sie entsprechen häufig in ihrer Zusammensetzung der extrazellulären Flüssigkeit:\n(1) Der Vesikel-Inhalt\n(2) Das Innere des Golgi-Apparats \n(3) Das Innere des ER\n(4) Der Inhalt des Spalts zwischen den beiden Membranen der Kernhülle\n(5) Der Intermembranraum zwischen der äußeren und der inneren Mitochondrienmembran.\n\nIn diesen Bereichen laufen häufig Verdauungsvorgänge ab, die im Plasma Schaden anrichten würden. Der pH-Wert ist hier häufig stark erhöht.\nDiese kleinen abgegrenzten Reaktionsräume bezeichnet man als "Kompartimente".
''',
'tierische_zelle_zellinneres':'''
Das Zellplasma unterscheidet sich in seiner Zusammensetzung häufig stark von den durch die Membran umhüllten Organellen eingegrenzten Flüssigkeitsbereichen. Durch die Konzentrationsgradienten zwischen beiden Bereichen können z.B. Ladungsgefälle aufgebaut, oder Protonenpumpen getriebene ATP-Synthetasen angetrieben werden. 
''',
'tierische_zelle_stoffwechsel':'''
Für den Stoffwechsel sind die folgenden Bereiche der Zelle entscheidend:\n(1) Vesikel, Golgi-Apparat und ER für den Stofftransport und Membranfluss (teilweise auch unter Beteiligung des Zellskeletts).\n(2) Das Zellplasma selbst\n(3) Mitochondrien für die Zellatmung.
''',
'tierische_zelle_genetik':'''
Für die Genetik sind die folgenden Bereiche der Zelle entscheidend:\n(1) Chromosomen\n(2) Kernhülle\n(3) Freie Ribosomen und raues ER\n(4) Der vom Zellskelett aufgebaute Spindelapparat.
''',
'tierische_zelle_neurophysiologie':'''
Für die elektrochemischen Vorgänge an Nervernzellmembranen sin die folgenden Bereiche der Zelle entscheidend:\n(1) Zellmembran mit besonderen Kanal- und Carrierproteinen\n(2) Zusammensetzung des Zellplasmas sowie der extrazellulären Flüssigkeit\n(4) Besondere Ausstülpungen (Dendrite und Axone) zur Oberflächenvergrößerung/Reichweitenvergrößerung.
''',
'tierische_zelle_evolution':'''
Für die Evolution der Eukaryoten im Vergleich zu den Prokaryoten sind v.a. die folgenden Bereiche entscheidend:\n(1) Kernhülle\n(2) Chromosomen (statt nur eines ringförmigen Plasmids)\n(3) Komplexere innere Membransysteme (Golgi-Apparat, ER)\n\nIn der Abbildung sind nur die Gemeinsamkeiten:\n(1) Zellmembran und \n(2) auf DNA-basierte Erbinformation\nhervorgehoben.
''',
## Pflanzliche Zelle
'pflanzliche_zelle':'''
Pflanzen ernähren sich autotroph, d.h. sie können ihre Nährstoffe unter Zufuhr von Lichtenergie selbst durch Fotosynthese herstellen und müssen nur energiearme Mineralsalze aus der Umgebung aufnehmen. Normalerweise besitzen Landpflanzen daher \n(1) Blätter mit starker Oberflächenvergrößerung, \n(2) einen Spross mit Stütz- und Leitgewebe sowie \n(3) eine Wurzel.\n\nAuf zellulärer Ebene sind insbesondere für die Stützfunktion eine stabile Zellwand sowie eine Vakuole zur Aufrechterhaltung des osmotischen Zellinnendrucks (Turgordruck) notwendig. Die Vakuole ersetzt auch die fehlenden Ausscheidungsorgane.\nDie Mitochondrien ermöglichen die Zellatmung, die Chloroplasten die Fotosynthese.\n\nIm Unterschied zur prokaryotischen Bakterienzelle sind ein echter Zellkern mit einer Kernhülle, sowie viel komplexere Membraneinfaltungen vorhanden.
''',
'pflanzliche_zelle_zellwand':'''
Die Zellwand umgibt die Zellmembran auf der Außenseite. Sie besteht v.a. aus Zellulose-Fasern, einem sehr zugfesten Polysaccharid. Ohne besondere abdichtende Stoffe (wie z.B. Suberin in Kork) ist sie Wasser durchlässig.
''',
'pflanzliche_zelle_zellmembran':'''
Die Zellmembran grenzt das Zellplasm nach außen von der extrazellulären Flüssigkeit ab. \nSie besteht aus einer Lipid-Doppelschicht, in die bestimmte Membranproteine eingebaut oder angelagert sind. Auf der Außenseite ist die Zellmembran mit der Zellwand verknüpft.
''',
'pflanzliche_zelle_vesikel':'''
Vesikel sind (meist kleine) durch Membranen abgeschlossene Bereiche in der Zelle.\nSie können im Rahmen des Stofftransports in der Zelle durch Abschnürung vom ER oder vom Golgi-Apparat, oder durch Endocytose entstehen. \nSie können auch als Speicherort für Entgiftungsenzyme (z.B. Peroxisomen) dienen, die Wasserstoffperoxid entgiften.\nDie Vakuole ist ein besonders großes Vesikel mit spezieller Funktion.
''',
'pflanzliche_zelle_vakuole':'''
Die Vakuole ist ein besonders großes Vesikel, in dem enzymatische Abbauprozesse stattfinden und in dem Abfallstoffe mit hohem osmotischen Potenzial gespeichert werden. Sie trägt daher zur Aufrechterhaltung des Turgordrucks bei.
''',
'pflanzliche_zelle_golgi_apparat':'''
Der Golgi-Apparat besteht aus mehreren flachen Membranstapeln (Dictyosomen). Die im ER synthetisierten für die Exocytose bestimmten Stoffe werden hier in Vesikel verpackt, evtl. chemisch verändert und die Vesikel werden abgeschnürt.
''',
'pflanzliche_zelle_er':'''
An den Ribosomen des rauen ER werden Proteine hergestellt, die für eine spätere Exocytose an den Golgi-Apparat weitergeleitet werden.\nAm glatten ER werden v.a. Membranlipide hergestellt.\nDas ER steht in direkter Verbindung mit der Kernhülle.
''',
'pflanzliche_zelle_freie_ribosomen':'''
An den Ribosomen findet der Teilschritt der Translation der Proteinbiosynthese statt. Dabei wird die mRNA-Sqeuenz nach einem festgelegten Code "übersetzt" in eine Aminosäuresequenz.
''',
'pflanzliche_zelle_zellskelett':'''
Mikrotubuli ermöglichen als Führungsfäden für Vesikel den Stofftransport in der Zelle.\nAußerdem bilden sie den Spindelapparat während Mitose und Meiose.\nDer Aufbau des Spindelapparats beginnt mit den beiden "Centriolen".
Mikrofilamente bestehen aus ineinandergreifenden Aktin- und Myosinfilamenten. Sie sorgen z.B. für Plasmaströme.
''',
'pflanzliche_zelle_kernhuelle':'''
Eukaryoten besitzen eine Kernhülle. Diese besteht aus einer doppelten Membran. Die im Teilschritt der Transkription der Proteinbiosynthese gebildete mRNA verlässt den Zellkern durch die Kernporen.
''',
'pflanzliche_zelle_chromosomen':'''
Die Erbinformation liegt in Form mehrerer bis vieler langer DNA-Fäden vor, die sich je nach Phase im Zellzyklus in ihrer weniger spiralisierten Arbeitsform oder (während der Zellteilung) in ihrer stark spiralisierten und sehr kompakten Transportform befinden. Diese "Transportpakete" nennt man Chromosomen. In ihrer Transportform besitzt jedes Chromosom einen "Griff" für den Spindelapparat, das Centromer. Eine Tomate besitzt insgesamt 24 Chromosomen, Weizen 20 und Reis 42 Chromosomen.
''',
'pflanzliche_zelle_zellplasma':'''
Das Zellplasma (= Cytosol) ist eine gelartige wässrige Lösung von Ionen, kleinen Molekülen und löslichen Proteinen. Alle anderen Organellen sind ins Zellplasma eingelagert. \nDie Ionenverteilung zwischen Zellplasma und extrazellulärer Flüssigkeit ist wichtig für das osmotische Potenzial der Zelle.\nIm Zellplasma findet die Glykolyse statt, welche sowohl bei Gärungen als auch im Rahmen der Zellatmung abläuft.\nIm Zellplasma findet an die Ribosomen (frei oder an das raue ER gebunden) die Translation ab.\nStreng genommen handelt es sich also beim Zellplasma selbst nicht um ein "Organell".
''',
'pflanzliche_zelle_mitochondrien':'''
Die äußere Mitochondrienmembran entspricht in ihrem Aufbau der Zellmembran. Die innere, stark aufgefaltete Mitochondrienmembran entspricht in ihrem Aufbau eher einer Bakterienzellmembran. Zwischen beiden Membranen liegt ein Intermembranraum, der stärker sauer als das Zellplasma ist. Das von der inneren Mitochondrienmembran umschlossene "Bakterienzellplasma" bezeichnet man als Matrix. In der Matrix befindet sich ein ringförmiges DNA-Plasmid wie in einer Bakterienzelle.\nIn der Matrix läuft der Citratzyklus der Zellatmung und an der inneren Mitochondrienmembran die Endoxidation der Zellatmung ab.\nDie Zellatmung ist also nur möglich aufgrund der Mitochondrien.\nMitochondrien sind Endosymbionten, die schon früh in die ersten Eukaryoten aufgenommen wurden.
''',
'pflanzliche_zelle_chloroplasten':'''
Die äußere Chloroplastenmembran entspricht in ihrem Aufbau der Zellmembran. Die innere Chloroplastenmembran (die Thylakoidmembran) entspricht in ihrem Aufbau eher einer Cyanobakterienzellmembran. Sie bildet Membranstapel, die sogenannten "Grana". \nZwischen beiden Membranen liegt ein Intermembranraum, der stärker sauer als das Zellplasma ist. Das von der Thylakoidmembran umschlossene "Cyanobakterienzellplasma" bezeichnet man als Stroma. Im Stroma befindet sich ein ringförmiges DNA-Plasmid wie in einer Cyanobakterienzelle.\nIm Stroma läuft der Calvinzyklus (= Dunkelreaktion) der Fotosynthese, und an der inneren Chloroplastenmembran die Lichtreaktion der Fotosynthese ab.\nDie Fotosynthese ist also nur möglich aufgrund der Chloroplasten.\nChloroplasten sind Endosymbionten, die erst später in Eukaryoten aufgenommen wurden, aus denen sich dann die Pflanzen entwickelten.
''',
'pflanzliche_zelle_zellaeusseres':'''
In der Zelle weichen die folgenden Bereiche in ihrer Zusammensetzung stark vom Zellplasma ab. Sie entsprechen häufig in ihrer Zusammensetzung der extrazellulären Flüssigkeit:\n(1) Der Vesikel-Inhalt\n(2) Das Innere des Golgi-Apparats \n(3) Das Innere des ER \n(4) Der Inhalt des Spalts zwischen den beiden Membranen der Kernhülle\n(5) Der Intermembranraum zwischen der äußeren und der inneren Mitochondrienmembran.\n(6) Der Intermembranraum zwischen der äußeren und der inneren Chloroplastenmembran sowie das Innere der Thylakoide\n(7) Der Vakuolen-Inhalt.\n\nIn diesen Bereichen laufen häufig Verdauungsvorgänge ab, die im Plasma Schaden anrichten würden. Der pH-Wert ist hier häufig stark erhöht.\nDiese kleinen abgegrenzten Reaktionsräume bezeichnet man als "Kompartimente".
''',
'pflanzliche_zelle_zellinneres':'''
Das Zellplasma unterscheidet sich in seiner Zusammensetzung häufig stark von den durch die Membran umhüllten Organellen eingegrenzten Flüssigkeitsbereichen. Durch die Konzentrationsgradienten zwischen beiden Bereichen können z.B. Ladungsgefälle aufgebaut, oder Protonenpumpen getriebene ATP-Synthetasen angetrieben werden. 
''',
'pflanzliche_zelle_stoffwechsel':'''
Für den Stoffwechsel sind die folgenden Bereiche der Zelle entscheidend:\n(1) Vesikel, Golgi-Apparat und ER für den Stofftransport und Membranfluss (teilweise auch unter Beteiligung des Zellskeletts).\n(2) Das Zellplasma selbst\n(3) Mitochondrien für die Zellatmung\n(4) Chloroplasten für die Fotosynthese.
''',
'pflanzliche_zelle_genetik':'''
Für die Genetik sind die folgenden Bereiche der Zelle entscheidend:\n(1) Chromosomen\n(2) Kernhülle\n(3) Freie Ribosomen und raues ER\n(4) Der vom Zellskelett aufgebaute Spindelapparat\n(5) Die chemische Zusammensetzung der Zellwand (Zellulose statt Murein).
''',
'pflanzliche_zelle_evolution':'''
Für die Evolution der Eukaryoten im Vergleich zu den Prokaryoten sind v.a. die folgenden Bereiche entscheidend:\n(1) Kernhülle\n(2) Chromosomen (statt nur eines ringförmigen Plasmids)\n(3) Komplexere innere Membransysteme (Golgi-Apparat, ER)\n\nIn der Abbildung sind nur die Gemeinsamkeiten zu den Prokaryoten:\n(1) Zellmembran und \n(2) auf DNA-basierte Erbinformation\n sowohl bei den Mitochondrien als auch bei den Chloroplasten hervorgehoben.\n\nIm Vergleich zur tierischen Zelle:\n(1) Die Chloroplasten\n(2) Die Vakuole\n(3) Die Zellwand aus Zellulose\n\nIm Vergleich zu den Pilzen die chemische Zusammensetzung der Zellwand (Zellulose statt Chitin) und das Vorhandensein der Chloroplasten.
''',





















}
