#!/usr/bin/env python3
#-*- encoding=utf8 -*-

import os
from tkinter import *
from tkinter import scrolledtext
from tkinter import font
#import ScrolledText
#import tkFont
import random
# Datendatei
import sys
sys.path.insert(0, 'daten')
from textsammlung import texte
import webbrowser


class Fenster:
    def __init__(self, master):
        frame=Frame(master)
        self.frame1=Frame(frame)
        self.frame2=Frame(frame)
        self.frame3=Frame(frame)
        self.frame4=Frame(frame)
        for f, row, column, columnspan, sticky in (
                (frame,            0, 0, 1, W),
                (self.frame1,      0, 0, 2, W),
                (self.frame2,      1, 0, 1, W),
                (self.frame3,      1, 1, 1, E+W),
                (self.frame4,      2, 0, 2, E+W)):
            f.grid(row=row, column=column, columnspan=columnspan, sticky=sticky)

        # Rahmen 1: Kapitel-Auswahlmenü
        # Menüleiste als Rahmen innerhalb von Rahmen 1
        self.menueleiste=Frame(self.frame1, bd=2, relief=FLAT)
        master.config(menu=self.menueleiste)
        # Menüknöpfe
        self.mb_datei=Menubutton(self.menueleiste, text='Datei')
        self.mb_zelltyp=Menubutton(self.menueleiste, text='Zelltyp')
        self.mb_organell=Menubutton(self.menueleiste, text='Organell')
        self.mb_bereiche=Menubutton(self.menueleiste, text='Bereiche (Kompartimente)')
        self.mb_kapitelzuordnung=Menubutton(self.menueleiste, text='Kapitelzuordnung')
        # mit diesen zwei Menüknöpfen verknüpfte Drop-Down-Menüs
        # Datei zum Programm Beenden
        self.menue_datei=Menu(self.mb_datei, tearoff=0)
        self.menue_datei.insert_command(0, label='Beenden', command=root.destroy)
        self.mb_datei.config(menu=self.menue_datei)
        # Zelltyp
        self.a_zelltyp=StringVar()
        self.a_zelltyp.set('X')
        self.menue_zelltyp=Menu(self.mb_zelltyp, tearoff=0)
        self.menue_zelltyp.add_radiobutton(label='Tierische Zelle', variable=self.a_zelltyp, value='tierische_zelle', command=self.waehle_zelltyp)
        self.menue_zelltyp.add_radiobutton(label='Pflanzliche Zelle', variable=self.a_zelltyp, value='pflanzliche_zelle', command=self.waehle_zelltyp)
        self.mb_zelltyp.config(menu=self.menue_zelltyp)
        # Organell
        self.a_organell=StringVar()
        self.a_organell.set('X')
        self.menue_organell=Menu(self.mb_organell, tearoff=0)
        self.menue_organell.add_radiobutton(label='Zellwand', variable=self.a_organell, value='zellwand', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Zellmembran', variable=self.a_organell, value='zellmembran', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Vesikel', variable=self.a_organell, value='vesikel', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Vakuole', variable=self.a_organell, value='vakuole', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Golgi-Apparat/Dictyosom', variable=self.a_organell, value='golgi_apparat', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Endoplasmatisches Reticulum (ER)', variable=self.a_organell, value='er', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Freie Ribosomen', variable=self.a_organell, value='freie_ribosomen', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Zellskelett', variable=self.a_organell, value='zellskelett', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Kernhülle', variable=self.a_organell, value='kernhuelle', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Chromosomen', variable=self.a_organell, value='chromosomen', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Zellplasma', variable=self.a_organell, value='zellplasma', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Mitochondrien', variable=self.a_organell, value='mitochondrien', command=self.waehle_organell)
        self.menue_organell.add_radiobutton(label='Chloroplasten', variable=self.a_organell, value='chloroplasten', command=self.waehle_organell)
        self.mb_organell.config(menu=self.menue_organell)
        # Bereiche
        self.a_bereiche=StringVar()
        self.a_bereiche.set('X')
        self.menue_bereiche=Menu(self.mb_bereiche, tearoff=0)
        self.menue_bereiche.add_radiobutton(label='„Zelläußeres“', variable=self.a_bereiche, value='zellaeusseres', command=self.waehle_bereiche)
        self.menue_bereiche.add_radiobutton(label='„Zellinneres“', variable=self.a_bereiche, value='zellinneres', command=self.waehle_bereiche)
        self.mb_bereiche.config(menu=self.menue_bereiche)
        # Kapitelzuordnung
        self.a_kapitelzuordnung=StringVar()
        self.a_kapitelzuordnung.set('X')
        self.menue_kapitelzuordnung=Menu(self.mb_kapitelzuordnung, tearoff=0)
        self.menue_kapitelzuordnung.add_radiobutton(label='Stoffwechsel', variable=self.a_kapitelzuordnung, value='stoffwechsel', command=self.waehle_kapitelzuordnung)
        self.menue_kapitelzuordnung.add_radiobutton(label='Genetik', variable=self.a_kapitelzuordnung, value='genetik', command=self.waehle_kapitelzuordnung)
        self.menue_kapitelzuordnung.add_radiobutton(label='Neurophysiologie', variable=self.a_kapitelzuordnung, value='neurophysiologie', command=self.waehle_kapitelzuordnung)
        self.menue_kapitelzuordnung.add_radiobutton(label='Evolution', variable=self.a_kapitelzuordnung, value='evolution', command=self.waehle_kapitelzuordnung)
        self.mb_kapitelzuordnung.config(menu=self.menue_kapitelzuordnung)
        # Menüelemente vor dem Start deaktivieren
        self.deaktivierte_menueeintraege_start=(self.mb_organell, self.mb_bereiche, self.mb_kapitelzuordnung)
        for i in self.deaktivierte_menueeintraege_start:
            i.config(state=DISABLED)
        # Menüelemente anzeigen
        for i, row, column, sticky in (
                (self.menueleiste,    0, 0, E+W),
                (self.mb_datei,       0, 0, W),
                (self.mb_zelltyp,     0, 1, W),
                (self.mb_organell,    0, 2, W),
                (self.mb_bereiche,    0, 3, W),
                (self.mb_kapitelzuordnung,     0, 4, W)):
            i.grid(row=row, column=column, sticky=sticky)

        # Rahmen 2: Zeichenfläche für die Bilddarstellung
        self.f2canvas1=Canvas(self.frame2, 
                              width=400, 
                              height=400, 
                              bg='white',
                              borderwidth=1,
                              relief=FLAT,
                              takefocus=1,
                              selectbackground='grey',
                              highlightbackground='grey')
        #self.f2canvas1.bind("<Button-1>", self.mehr_info_event)
        
        # Rahmen 3: 
        self.f3text1=scrolledtext.ScrolledText(self.frame3, 
                                               height=22, 
                                               wrap=WORD, 
                                               bg='white', 
                                               width='45', 
                                               font=('arial', '11'), 
                                               state=DISABLED)

        for w, row, column, columnspan, sticky in (
                (self.f2canvas1, 0, 0, 1, E+W),
                (self.f3text1,   0, 1, 1, E+W+S+N),
                ):
            w.grid(row=row, column=column, columnspan=columnspan, sticky=sticky)

        # Rahmen 4: Vergrößerungsbutton für submikroskopische Details

        ########################################################################
        ##                        Funktionen                                  ##
        ########################################################################
        
    def waehle_zelltyp(self):
        s1=str(self.a_zelltyp.get())
        for i in (self.a_organell, self.a_bereiche, self.a_kapitelzuordnung):
            i.set('X')
        for i in self.deaktivierte_menueeintraege_start:
            i.config(state=NORMAL)
        if s1 == 'tierische_zelle':
            for i in (0, 3, 12):
                self.menue_organell.entryconfig(i, state=DISABLED)
            for i in range(0, 5):
                self.menue_kapitelzuordnung.entryconfig(i, state=NORMAL)
        elif s1 == 'pflanzliche_zelle':
            for i in range(0, 13):
                self.menue_organell.entryconfig(i, state=NORMAL)
            for i in (2,):
                self.menue_kapitelzuordnung.entryconfig(i, state=DISABLED)
        #print('waehle_zelltyp '+s1)
        self.zeige_bild(s1)
        self.zeige_text(s1)
        
    def waehle_organell(self):
        s1=str(self.a_zelltyp.get())
        s2=str(self.a_organell.get())
        for i in (self.a_bereiche, self.a_kapitelzuordnung):
            i.set('X')
        #print('waehle_organell '+s1+' '+s2)
        self.zeige_bild(s1+'_'+s2)
        self.zeige_text(s1+'_'+s2)
        
    def waehle_bereiche(self):
        s1=str(self.a_zelltyp.get())
        s3=str(self.a_bereiche.get())
        for i in (self.a_organell, self.a_kapitelzuordnung):
            i.set('X')
        #print('waehle_bereiche '+s1+' '+s3)
        self.zeige_bild(s1+'_'+s3)
        self.zeige_text(s1+'_'+s3)
        
    def waehle_kapitelzuordnung(self):
        s1=str(self.a_zelltyp.get())
        s4=str(self.a_kapitelzuordnung.get())
        for i in (self.a_organell, self.a_bereiche):
            i.set('X')
        #print('waehle_kapitelzuordnung '+s1+' '+s4)
        self.zeige_bild(s1+'_'+s4)
        self.zeige_text(s1+'_'+s4)
        
    def zeige_bild(self, schluessel):
        try:
            self.pfad='daten/img/'+schluessel+'.gif'
            self.wechselbild=PhotoImage(file=self.pfad)
            # bereits vorhandene Elemente löschen
            for i in self.f2canvas1.find_all():
                self.f2canvas1.delete(i)
            # neues Bild zeichnen
            self.f2canvas1.create_image(0, 0, image=self.wechselbild, anchor=NW)
            # Leinwand updaten
            self.f2canvas1.update()
        except:
            pass
        s4=str(self.a_kapitelzuordnung.get())
        if s4 != 'X':
            self.mache_zu_knopf(self.f2canvas1)
        else:
            self.mache_zu_flaeche(self.f2canvas1)
        #print('zeige_bild '+schluessel)
    
    def zeige_text(self, schluessel):
        #print('zeige_text '+schluessel)
        anzeigetext=texte[schluessel].lstrip('\n')
        self.f3text1.config(state=NORMAL)
        self.f3text1.delete(0.0, END)
        self.f3text1.insert(0.0, anzeigetext)
        self.f3text1.config(state=DISABLED)

        
        ##  Submikroskopische Zusatzinformationen im Browser anzeigen
    def mehr_info(self):
        s1=str(self.a_zelltyp.get())
        s2=str(self.a_organell.get())
        s3=str(self.a_bereiche.get())
        s4=str(self.a_kapitelzuordnung.get())
        if s1 != 'X':
            schluessel=s1
        if s2 != 'X':
            schluessel=s2
        elif s3 != 'X':
            schluessel=s3
        elif s4 != 'X':
            schluessel=s4
        if s1+s2+s3+s4 != 'XXXX':
            #print('mehr_info', schluessel)
            try:
                self.zeige_seite(schluessel)
            except:
                pass
    
    def mehr_info_event(self, event):
        self.mehr_info()

    def zeige_seite(self, seitenname):
        self.seitenname=seitenname
        self.seiten_url='file://'+os.getcwd()+os.sep+'daten/html/'+self.seitenname+'.html'
        try:
            webbrowser.open(self.seiten_url)
        except:
            pass
        
    def mache_zu_flaeche(self, canvas):
        canvas.config(borderwidth=1, relief=FLAT)
        canvas.bind("<Button-1>", self.tue_nichts_event)
        canvas.update()
        
    def tue_nichts_event(self, event):
        pass
        
    def mache_zu_knopf(self, canvas):
        canvas.config(borderwidth=4, relief=RAISED)
        canvas.bind("<Button-1>", self.mehr_info_event)
        canvas.update()

################################################################################
root = Tk()
root.title('Zeller')
#root.option_add("*Text.Font", "arial 12")
#root.minsize()
app = Fenster(root)
root.mainloop()
